<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotPromotionMessageMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $promotionType = null;
    


    protected $buttonTitle = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPromotionType()
    {
        return isset($this->promotionType) ? $this->promotionType : 0;
    }

    public function hasPromotionType()
    {
        return isset($this->promotionType);
    }

    public function clearPromotionType()
    {
        unset($this->promotionType);
    }

    




    public function setPromotionType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotPromotionMessageMetadata\BotPromotionType::class);
        $this->promotionType = $var;

        return $this;
    }

    



    public function getButtonTitle()
    {
        return isset($this->buttonTitle) ? $this->buttonTitle : '';
    }

    public function hasButtonTitle()
    {
        return isset($this->buttonTitle);
    }

    public function clearButtonTitle()
    {
        unset($this->buttonTitle);
    }

    




    public function setButtonTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->buttonTitle = $var;

        return $this;
    }

}

